body{
    font-family: Arial, Helvetica, sans-serif;
    text-align: center;
    background: #252525;
}
.container{
    background: #ffffff;
    height: 520px;
    width: 450px;
    padding: 10px;
    border-radius: 10px;
    margin: 70px auto;
}
#password{
    padding: 10px;
    width: 60%;
    height: 20px;
    outline: none;
    border-radius: 50px;
    border: 1px solid #000;
}
button{
    margin-top: 30px;
    padding: 12px 30px;
    background-color: #5bd55b;
    color: #2b2b2b;
    border: none;
    border-radius: 25px;
    cursor: pointer;
}
button:hover{
    background: #4af566;
}
#password-length{
    width: 250px;
    margin-top: 20px;
}
#copy-button{
    background: transparent;
    margin-left: -60px;
    top: 130px;
    position: absolute;
    color: #000;
    display: none;
}
.message{
    display: none;
    margin-top: 10px;
    color: green;
    margin-bottom: -25px;
}
.content{
    display: flex;
    padding: 10px;
    width: 300px;
    margin: 0 auto;
    margin-top: 5px;
}
#length-value{
    background: #92f092;
    padding: 10px;
    border-radius: 5px;
    font-size: 14px;
}
.check{
    cursor: pointer;
}
.check svg{
    position: relative;
    z-index: 1;
    fill: none;
    stroke-linecap: round;
    stroke-linejoin: round;
    stroke: #0055ff;
    margin-bottom: -3px;
    stroke-width: 1.5;
    transform: translate3d(0, 0, 0);
    transition: all 0.2s ease;
}
.check svg path{
    stroke-dasharray: 60;
    stroke-dashoffset: 0;
}
.check svg polyline{
    stroke-dashoffset: 66;
    stroke-dasharray: 22;
}
.check:hover::before{
    opacity: 1;
}
.check:hover svg{
    stroke: #4285f4;
}
#uppercase:checked + .check svg{
    stroke: #4285f4;
}
#uppercase:checked + .check svg path{
    stroke-dashoffset: 60;
    transition: all 0.3s linear;
}
#uppercase:checked + .check svg polyline{
    stroke-dashoffset: 42;
    transition: all 0.2s linear;
    transition-delay: 0.15s;
}
#lowercase:checked + .check svg{
    stroke: #4285f4;
}
#lowercase:checked + .check svg path{
    stroke-dashoffset: 60;
    transition: all 0.3s linear;
}
#lowercase:checked + .check svg polyline{
    stroke-dashoffset: 42;
    transition: all 0.2s linear;
    transition-delay: 0.15s;
}
#numbers:checked + .check svg{
    stroke: #4285f4;
}
#numbers:checked + .check svg path{
    stroke-dashoffset: 60;
    transition: all 0.3s linear;
}
#numbers:checked + .check svg polyline{
    stroke-dashoffset: 42;
    transition: all 0.2s linear;
    transition-delay: 0.15s;
}
#symbols:checked + .check svg{
    stroke: #4285f4;
}
#symbols:checked + .check svg path{
    stroke-dashoffset: 60;
    transition: all 0.3s linear;
}
#symbols:checked + .check svg polyline{
    stroke-dashoffset: 42;
    transition: all 0.2s linear;
    transition-delay: 0.15s;
}







